Package org.eclipse.birt.report.model.api.scripts

# Class ArgumentInfoList

java.lang.Object
org.eclipse.birt.report.model.api.scripts.ArgumentInfoList

All Implemented Interfaces:
  `IArgumentInfoList`

public class ArgumentInfoList extends Object implements IArgumentInfoList
Represents an optional argument list of a method.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ArgumentInfoList(Class[] params)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Iterator`
`argumentsIterator()`
Returns the iterator of argument definition.
`IArgumentInfo`
`getArgument(String argumentName)`
Returns the argument definition given the name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ArgumentInfoList

protected ArgumentInfoList(Class[] params)
Constructor.

Parameters:
  `params` - the parameters for the method

## Method Details

### getArgument

public IArgumentInfo getArgument(String argumentName)
Returns the argument definition given the name.

Specified by:
  `getArgument` in interface `IArgumentInfoList`
Parameters:
  `argumentName` - name of the argument to get
Returns:
  the argument definition with the specified name.

### argumentsIterator

public Iterator argumentsIterator()
Returns the iterator of argument definition. Each one is a list that contains `IArgumentInfo`.

Specified by:
  `argumentsIterator` in interface `IArgumentInfoList`
Returns:
  iterator of argument definition.